package bg.bas.dcl.entities;

public class Token {
	
	public String token = "";
	public String lemma = "";
	public String tokenTag = "";
	public String posTag = "";
	public String old_posTag = "";	
	
	public String clauseID = "";
	public String old_clauseID = "";	
	
	public String mwe_p = "";	
	public String cl2 = "";	
	public String relation = "";	
	public String cl_al = "";	

	public String new_mwe_p = "";	
	public String new_cl2 = "";	
	public String new_relation = "";	
	public String new_relation_type = "";	
	public String new_semantic_type = "";	


	
	public void readFromVertical(String l){
		
		String[] data = l.trim().split("\t");
		
		if(data.length<4) return;
		
		token = data[0].trim();
		tokenTag = data[1].trim();

		lemma = data[data.length-2].trim();
		posTag = data[data.length-1].trim();
		
	}

	public String writeTokenXML(){
		
		String result = "<word ";
		
		result += "w=\"" + token + "\" ";
		result += "l=\"" + lemma + "\" ";
		result += "pos=\"" + posTag + "\" ";
		
		if (!old_posTag.equals("")) result += "old_pos=\"" + old_posTag + "\" ";
		if (!clauseID.equals("")) result += "cl=\"" + clauseID + "\" ";
		if (!old_clauseID.equals("")) result += "old_clauseID=\"" + old_posTag + "\" ";
		if (!mwe_p.equals("")) result += "p=\"" + mwe_p + "\" ";
		if (!cl2.equals("")) result += "cl2=\"" + cl2 + "\" ";
		if (!relation.equals("")) result += "m=\"" + relation + "\" ";
		if (!cl_al.equals("")) result += "cl_al=\"" + cl_al + "\" ";

		if (!new_mwe_p.equals("")) result += "new_p=\"" + new_mwe_p + "\" ";
		if (!new_cl2.equals("")) result += "new_cl2=\"" + new_cl2 + "\" ";
		if (!new_relation.equals("")) result += "new_m=\"" + new_relation + "\" ";
		if (!new_relation_type.equals("")) result += "new_m_type=\"" + new_relation_type + "\" ";
		if (!new_semantic_type.equals("")) result += "new_sem_type=\"" + new_semantic_type + "\" ";

		result += "/>";
		
		return result;
		
	}

}
