package bg.bas.dcl.multilingual.ClauseSplitting.rules;

import java.util.ArrayList;
import java.util.HashMap;

import bg.bas.dcl.entities.Sentence;
import bg.bas.dcl.entities.VerbForm;
import bg.bas.dcl.multilingual.Chunker.VerbFormRecogniser.ClauseVerb;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseBorder;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseSplittingComplexObject;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseStack;

public class BeginSentenceClauseSplittingRule implements ClauseSplittingRule {

	public boolean isEndingRule = false;
	
	public ClauseSplittingComplexObject findClauseBorders(
			Sentence sentence,
			ArrayList<ClauseVerb> verbs, 
			int spos, int epos,
			ClauseStack stack
			){

		ClauseSplittingComplexObject obj = new ClauseSplittingComplexObject();
		obj.cls = stack;
		obj.clborders = new ArrayList<ClauseBorder>();
		
		if (spos>0) return obj;
		
		obj.clborders.add(new ClauseBorder(0, "COC"));
		obj.cls.putInStack("COC", 0);
		
		return obj;
	}
	
	public boolean isEnding(){
		return isEndingRule;
	}

}
