package bg.bas.dcl.multilingual.ClauseSplitting.rules;

import java.util.ArrayList;
import java.util.HashMap;

import bg.bas.dcl.entities.Sentence;
import bg.bas.dcl.entities.Token;
import bg.bas.dcl.entities.VerbForm;
import bg.bas.dcl.multilingual.Chunker.VerbFormRecogniser.ClauseVerb;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseBorder;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseSplittingComplexObject;
import bg.bas.dcl.multilingual.ClauseSplitting.ClauseStack;

public interface ClauseSplittingRule {
	
	public ClauseSplittingComplexObject findClauseBorders(
			Sentence sentence,
			ArrayList<ClauseVerb> verbs, 
			int spos, int epos,
			ClauseStack stack);
	
	public boolean isEnding();

}
