package bg.bas.dcl.semantic.lexical_db;

import java.util.ArrayList;
import java.util.HashMap;

public class FramenetFrame {

	public HashMap<String,ArrayList<String>> relations = 
			new HashMap<String,ArrayList<String>>();
	public ArrayList<String> lexemes = new ArrayList<String>();
	public ArrayList<FramenetLexicalUnit> LUs = new ArrayList<FramenetLexicalUnit>();
	public ArrayList<FrameElement> felements = 
			new ArrayList<FrameElement>();
	
	public String name = "";
	

	public String getRelations(){
		String res ="";
		
		for (String r : relations.keySet()){
			res += r + ": " ;
			
			for (String rv : relations.get(r))
				res += rv +", ";
			
			res = res.substring(0, res.length()-2)+"; ";
		}
		
		return res;
	}
	
	public String getElements(String type){
		String res ="";
		
		for (FrameElement r : felements){
			if (type !=null && type.equals(r.coreType))
				res += r.name + ":" +r.semType+"; ";
		}
		
		if (res.length()>2) {
			res = res.substring(0, res.length()-2)+"; ";
		}
		
		return res;
	}
	
	public String getElements( ){
		String res ="";
		
		for (FrameElement r : felements){
			
				res += r.name +"; ";
		}
		
		if (res.length()>2) {
			res = res.substring(0, res.length()-2)+"; ";
		}
		
		return res;
	}

	public String getElements(boolean full){
		String res ="";
		
		for (FrameElement r : felements){
			
				res += r.name;
				if (r.coreType.equals("Peripheral")) res += "$";
				if (r.coreType.equals("Extra-Thematic")) res += "@";
				res+= "; ";
		}
		
		if (res.length()>2) {
			res = res.substring(0, res.length()-2)+"; ";
		}
		
		return res;
	}


}
