package bg.bas.dcl.semantic.lexical_db;

import java.util.ArrayList;

public class VerbClass {
	
	public String ID = "";
	public ArrayList<VerbItem> verbmembers = new ArrayList<VerbItem>();
	public ArrayList<ThematicRole> roles = new ArrayList<ThematicRole>();
	public ArrayList<VerbnetFrame> frames = new ArrayList<VerbnetFrame>();

	public String classtype = "";
	
	public String getRoles(){
		String res = "";
		for (ThematicRole r : roles) {
			res += r.type + ":" + r.restrictions+"; ";
		}
		
		return res;
	}
	
	public String getFrames(){
		String res = "";
		for (VerbnetFrame r : frames) {
			 res += r.primary
				+" ("+r.secondary+")"+"; ";
		}
		return res;
	}

}
