package bg.bas.dcl.entities;

import java.util.ArrayList;




public class MWE extends ArrayList<Word> {

	public String lemma = "";
	public String id = "";
	public String pos = "";
	public String mwe_rel = "";
	public String mwe_type = "";
	public String order = "";
	
	public ArrayList<MWEComponent> components = new ArrayList<MWEComponent>();
	
	public String getXML(){
		
		String result = "";
		
		result += "<mwe " +
				"id=\"" + id + "\" "+
				"lemma=\"" + lemma + "\" "+
				"pos=\"" + pos + "\" "+
				"mwe_rel=\"" + mwe_rel + "\" "+
				"mwe_type=\"" + mwe_type + "\" "+
				"order=\"" + order + "\" "+">" +
				"\n";
				
		for (MWEComponent c : components) {
			result += "\t" + c.getXML() + "\n";
		}
				
		
		result += "</mwe>";
		return result;
	}
	
}
