package bg.bas.dcl.semantic.lexical_db;

import java.util.ArrayList;

public class Literal {
	
	public String word = "";
	public String sense = "";
	public String lemma = "";
	public String status = "";
	public ArrayList<String> lnote = new ArrayList<String>();
	
	public ArrayList<Relation> relations = new ArrayList<Relation>();
	
	public Literal(){
		
	}
	
	public Literal(String w, String s, String l){
		
		word = l;
		sense = s;
		lemma = l;
	}

	
	public String toXML(){
		
		return "<LITERAL>"
				+ lemma
				+ "<SENSE>" + sense + "</SENSE>"
				+ "<LEMMA>" + lemma + "</LEMMA>"
				+ "<STATUS>" + status + "</STATUS>"
				+ getLNote()
				+ "</LITERAL>";
	}
	
	public String getLNote(){
		String res = "";
		for (String ss:lnote){
			res += "<LNOTE>" + ss + "</LNOTE>";
		}
		
		return res;
	}

}
